Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZCartOptionValue Class Reference

## Public Member Functions
| __construct ( $id="")
| store ()
| get ( $id="")
| delete ()
| id ()
| remoteID ()
& | cartItem ()
& | option ()
& | optionValue ()
| count ()
| setCartItem (&$cartItem)
| setOption (&$option)
| setRemoteID ( $value)
| setCount ( $value)
| setOptionValue (&$optionValue)

## Public Attributes
| $ID
| $CartItemID
| $OptionID
| $OptionValueID
| $RemoteID
| $Count

## Detailed Description

! eZTrade eZCartOptionValue handles option values.

Definition at line 42 of file ezcartoptionvalue.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZCartOptionValue::__construct | ( |  | $id = `""` | ) |

Constructs a new eZCartOptionValue object.

If $id is set the object's values are fetched from the database.

Definition at line 50 of file ezcartoptionvalue.php.

References $id, and $ID.

## Member Function Documentation

## ◆ cartItem()

& eZCartOptionValue::cartItem | ( |  | ) |

Returns the cart item object.

Definition at line 172 of file ezcartoptionvalue.php.

## ◆ count()

eZCartOptionValue::count | ( |  | ) |

Returns the count value object.

Definition at line 196 of file ezcartoptionvalue.php.

References $Count.

Referenced by get().

## ◆ delete()

eZCartOptionValue::delete | ( |  | ) |

Deletes a eZCartOptionValue object from the database.

Definition at line 137 of file ezcartoptionvalue.php.

References $db, $res, and eZDB\globalDatabase().

## ◆ get()

eZCartOptionValue::get | ( |  | $id = `""` | ) |

Fetches the object information from the database.

Definition at line 106 of file ezcartoptionvalue.php.

References $db, $id, $ret, count(), and eZDB\globalDatabase().

## ◆ id()

eZCartOptionValue::id | ( |  | ) |

Returns the object id.

Definition at line 156 of file ezcartoptionvalue.php.

References $ID.

## ◆ option()

& eZCartOptionValue::option | ( |  | ) |

Returns the option object.

Definition at line 180 of file ezcartoptionvalue.php.

## ◆ optionValue()

& eZCartOptionValue::optionValue | ( |  | ) |

Returns the option value object.

Definition at line 188 of file ezcartoptionvalue.php.

## ◆ remoteID()

eZCartOptionValue::remoteID | ( |  | ) |

Returns the object remoteID.

Definition at line 164 of file ezcartoptionvalue.php.

References $RemoteID.

## ◆ setCartItem()

eZCartOptionValue::setCartItem | ( | & | $cartItem | ) |

Sets the cart item object id.

Definition at line 204 of file ezcartoptionvalue.php.

## ◆ setCount()

eZCartOptionValue::setCount | ( |  | $value | ) |

Sets the count object id.

Definition at line 234 of file ezcartoptionvalue.php.

## ◆ setOption()

eZCartOptionValue::setOption | ( | & | $option | ) |

Sets the option object id.

Definition at line 215 of file ezcartoptionvalue.php.

## ◆ setOptionValue()

eZCartOptionValue::setOptionValue | ( | & | $optionValue | ) |

Sets the option value object id.

Definition at line 242 of file ezcartoptionvalue.php.

## ◆ setRemoteID()

eZCartOptionValue::setRemoteID | ( |  | $value | ) |

Sets the option object id.

Definition at line 226 of file ezcartoptionvalue.php.

## ◆ store()

eZCartOptionValue::store | ( |  | ) |

Stores a cart option value to the database.

Definition at line 66 of file ezcartoptionvalue.php.

References $db, $res, and eZDB\globalDatabase().

## Member Data Documentation

## ◆ $CartItemID

eZCartOptionValue::$CartItemID

Definition at line 251 of file ezcartoptionvalue.php.

## ◆ $Count

eZCartOptionValue::$Count

Definition at line 255 of file ezcartoptionvalue.php.

Referenced by count().

## ◆ $ID

eZCartOptionValue::$ID

Definition at line 250 of file ezcartoptionvalue.php.

Referenced by __construct(), and id().

## ◆ $OptionID

eZCartOptionValue::$OptionID

Definition at line 252 of file ezcartoptionvalue.php.

## ◆ $OptionValueID

eZCartOptionValue::$OptionValueID

Definition at line 253 of file ezcartoptionvalue.php.

## ◆ $RemoteID

eZCartOptionValue::$RemoteID

Definition at line 254 of file ezcartoptionvalue.php.

Referenced by remoteID().

The documentation for this class was generated from the following file:

- ezcartoptionvalue.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.